/*
 * $Header: DH0:src/asm/duart/device/RCS/hkduartstruct.h,v 7.0 92/12/08 11:48:07 Barnard Rel $
 *
 *****************************************************************************
 *
 * H K D U A R T - D E V I C E
 *
 *****************************************************************************
 *
 * structures for the hkduart.device
 *
 *****************************************************************************
 */

#ifndef DEVICES_HKDUARTSTRUCT_H
#define DEVICES_HKDUARTSTRUCT_H

/*
 * co_query
 */

#define		QUB_DSR				3
#define		QUB_CTS				4
#define		QUB_CD				5
#define		QUB_RTS				6
#define		QUB_DTR				7
#define		QUB_BRKSENT			9
#define		QUB_BRKREC			10
#define		QUB_TXXOFF			11
#define		QUB_RXXOFF			12

#define		QUF_DSR				(1L<<QUB_DSR)
#define		QUF_CTS				(1L<<QUB_CTS)
#define		QUF_CD				(1L<<QUB_CD)
#define		QUF_RTS				(1L<<QUB_RTS)
#define		QUF_DTR				(1L<<QUB_DTR)
#define		QUF_BRKSENT			(1L<<QUB_BRKSENT)
#define		QUF_BRKREC			(1L<<QUB_BRKREC)
#define		QUF_TXXOFF			(1L<<QUB_TXXOFF)
#define		QUF_RXXOFF			(1L<<QUB_RXXOFF)

/*
 * Flag-Bits
 */


#define		DUB_XDISABLED		7	/* xOn-xOff feature disabled bit */
#define		DUB_SHARED			5	/* non-exclusive access bit */
#define		DUB_7WIRE			2	/* RS232 7-wire protocol */
#define		DUB_PARTY_ODD		1	/* parity feature enabled bit */
#define		DUB_PARTY_ON		0	/* parity-enabled bit */

#define		DUF_XDISABLED	(1<<7)	/* xOn-xOff feature disabled mask */
#define		DUF_SHARED		(1<<5)	/* non-exclusive access mask */
#define		DUF_7WIRE		(1<<2)	/* RS232 7-wire protocol */
#define		DUF_PARTY_ODD	(1<<1)	/* parity feature enabled mask */
#define		DUF_PARTY_ON	(1<<0)	/* parity-enabled mask */


#endif /* DEVICES_HKDUARTSTRUCT_H */
